View Issue Details

IDProjectCategoryView StatusLast Update
0000883OpenFOAM[All Projects] Bugpublic2022-05-18 11:08
ReporterolleAssigned Towill 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSRed Hat Enterprise Linux 5.9 x86OS Version5.9
Product Version 
Fixed in Versiondev 
Summary0000883: Loosing mass when using cyclicAMI together with interDyMFoam
DescriptionI have combined the mixerVesselAMI2D and sloshingTank2D tutorials so that the outer region is rotating and the inner region is standing still. Gravity is in negative y-dir. Inital state is that the domain is filled with alpha1=1 up to y=0.04.

After 4 seconds (simulation time) about 30% of alpha1 has been lost. See attached case (can be runned using the Allrun script).
Steps To ReproduceRun attached case with Allrun script and monitor the evolution of "phase1 volume fraction" in the output.
TagsAMI

Activities

olle

2013-06-10 15:13

reporter  

mixerVesselAMIInterDyM.tar.gz (7,302 bytes)

olle

2013-06-11 15:48

reporter  

Screenshot-Gnuplot.png (9,393 bytes)
Screenshot-Gnuplot.png (9,393 bytes)

will

2022-05-18 11:08

manager   ~0012587

Numerical issues with AMI-based patch couplings have been resolved by the new Non-Conformal Coupled (NCC) development. See the following commit for explanation, and instructions for how to use NCC and convert cases from AMI.

https://github.com/OpenFOAM/OpenFOAM-dev/commit/569fa31d09f98e29d1aaf84d40bb16043f104ec6

Issue History

Date Modified Username Field Change
2013-06-10 15:13 olle New Issue
2013-06-10 15:13 olle File Added: mixerVesselAMIInterDyM.tar.gz
2013-06-11 15:48 olle File Added: Screenshot-Gnuplot.png
2014-12-29 18:41 wyldckat Tag Attached: AMI
2022-05-18 11:08 will Assigned To => will
2022-05-18 11:08 will Status new => resolved
2022-05-18 11:08 will Resolution open => fixed
2022-05-18 11:08 will Fixed in Version => dev
2022-05-18 11:08 will Note Added: 0012587